package com.goafanti.common.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;

public class ValueEvaluation {

	@JsonFormat(shape = Shape.STRING)
	private Long	id;

	/**
	 * 用户id
	 */
	private String	uid;

	/**
	 * 创建时间
	 */
	private Date	createTime;

	/**
	 * 技术名称
	 */
	private String	name;

	/**
	 * 评估值
	 */
	private Long	value;

	/**
	 * 当前步骤
	 */
	private Integer	step;

	/**
	 * 步骤记录
	 */
	private String	log;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getValue() {
		return value;
	}

	public void setValue(Long value) {
		this.value = value;
	}

	public Integer getStep() {
		return step;
	}

	public void setStep(Integer step) {
		this.step = step;
	}

	public String getLog() {
		return log;
	}

	public void setLog(String log) {
		this.log = log;
	}
}